/*  audio.h - audio protos
 *  Copyright (C) 1999  Charles <int@linuxcore.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 * $Id: audio.h,v 1.2 1999/07/27 17:02:30 int Exp $
 */

#ifndef __VSA_AUDIO_H
#define __VSA_AUDIO_H

typedef enum {
	AUDIO_ST_ERROR,
	AUDIO_ST_OK,
	AUDIO_ST_STANDBY,
} AUDIO_ST;


int audio_start(char *,int, int, int);
void audio_stop();
void audio_reset();
char *audio_read_buffer();
int audio_ok();
AUDIO_ST audio_status();
int audio_suspend();
int audio_resume();

#endif __VSA_AUDIO_H
